<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddUsers Method (IEdmUserMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr6 Interface : AddUsers Method (IEdmUserMgr6)

Visual Basic
C#
C++/CLI

ppoUserData
  Array of EdmUserData structures; one structure for each user

Obsolete. Superseded by IEdmUserMgr7::AddUsers2 .

# Syntax

Visual Basic |
--- | ---

    Sub AddUsers( _
       ByRef ppoUserData() As EdmUserData _
    )

C# |
--- | ---

    void AddUsers(
       out EdmUserData[] ppoUserData
    )

C++/CLI |
--- | ---

    void AddUsers(
    &   [Out] array<EdmUserData>^ ppoUserData
    )

#### Parameters

ppoUserData
  Array of EdmUserData structures; one structure for each user

# Remarks

This method is superseded by IEdmUserMgr7::AddUsers2 which allows you to specify system permissions.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr6 Interface
IEdmUserMgr6 Members

# Availability

SOLIDWORKS PDM Professional 2007